# Uses of Interface
org.opensaml.saml.saml1.core.AuthorizationDecisionQuery

Packages that use AuthorizationDecisionQuery
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of AuthorizationDecisionQuery in org.opensaml.saml.common.messaging.context

Methods in org.opensaml.saml.common.messaging.context with parameters of type AuthorizationDecisionQuery
Modifier and Type
Method
Description
`protected String`
SAMLPeerEntityContext.`processSaml1AuthorizationDecisionQuery(AuthorizationDecisionQuery query)`
Resolve the SAML entityID from a SAML 1 AuthorizationDecisionQuery.

## Uses of AuthorizationDecisionQuery in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return AuthorizationDecisionQuery
Modifier and Type
Method
Description
`AuthorizationDecisionQuery`
Request.`getAuthorizationDecisionQuery()`
Get the request AuthorizationDecisionQuery.

## Uses of AuthorizationDecisionQuery in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement AuthorizationDecisionQuery
Modifier and Type
Class
Description
`class`
`AuthorizationDecisionQueryImpl`
Concrete implementation of the `AuthorizationDecisionQuery` interface.
Methods in org.opensaml.saml.saml1.core.impl that return AuthorizationDecisionQuery
Modifier and Type
Method
Description
`AuthorizationDecisionQuery`
AuthorizationDecisionQueryBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthorizationDecisionQuery`
AuthorizationDecisionQueryBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`AuthorizationDecisionQuery`
RequestImpl.`getAuthorizationDecisionQuery()`
Get the request AuthorizationDecisionQuery.